WinUser.INPUT (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinUser, class: INPUT

Package com.sun.jna.platform.win32

# Class WinUser.INPUT

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinUser.INPUT

Direct Known Subclasses:
  `WinUser.INPUT.ByReference`

Enclosing interface:
  WinUser

@FieldOrder({"type","input"}) public static class WinUser.INPUT extends Structure
Used by SendInput to store information for synthesizing input events such as keystrokes, mouse movement, and mouse clicks.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinUser.INPUT.ByReference`
  `static class`
  `WinUser.INPUT.INPUT_UNION`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinUser.INPUT.INPUT_UNION`
  `input`
  `static final int`
  `INPUT_HARDWARE`
  `static final int`
  `INPUT_KEYBOARD`
  `static final int`
  `INPUT_MOUSE`
  `WinDef.DWORD`
  `type`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `INPUT()`
  `INPUT(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### INPUT_MOUSE

    public static final int INPUT_MOUSE
    See Also:
      - Constant Field Values

  - ### INPUT_KEYBOARD

    public static final int INPUT_KEYBOARD
    See Also:
      - Constant Field Values

  - ### INPUT_HARDWARE

    public static final int INPUT_HARDWARE
    See Also:
      - Constant Field Values

  - ### type

    public WinDef.DWORD type

  - ### input

    public WinUser.INPUT.INPUT_UNION input

- ## Constructor Details

  - ### INPUT

    public INPUT()

  - ### INPUT

    public INPUT(Pointer memory)